Description: Offer live download of only free drumkits by default
 Upstream curates a live XML feed of both free and non-free drumkits.
 Use FreePats URL instead, which offers only DFSG-free drumkits.
Author: Jonas Smedegaard <dr@jones.dk>
Date: Wed, 16 Aug 20:59:31 2017 +0200
Bug-Parabola: https://labs.parabola.nu/issues/288
Bug-PureOS: https://tracker.pureos.net/T106
License: GPL-3+
Last-Update: 2020-08-14
Forwarded: no
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
 data/hydrogen.default.conf                            | 2 +-
 src/core/src/preferences.cpp                          | 1 -
 src/gui/src/SoundLibrary/SoundLibraryImportDialog.cpp | 4 ----
 3 files changed, 1 insertion(+), 6 deletions(-)

Index: hydrogen/data/hydrogen.default.conf
===================================================================
--- hydrogen.orig/data/hydrogen.default.conf
+++ hydrogen/data/hydrogen.default.conf
@@ -31,7 +31,7 @@
 	<recentUsedSongs />
 	<recentlyUsedEffects />
 	<serverList>
-		<server>http://hydrogen-music.org/feeds/drumkit_list.php</server>
+		<server>http://freepats.zenvoid.org/hydrogen.xml</server>
 	</serverList>
 	<patternCategories>
 		<categories>not_categorized</categories>
Index: hydrogen/src/core/src/preferences.cpp
===================================================================
--- hydrogen.orig/src/core/src/preferences.cpp
+++ hydrogen/src/core/src/preferences.cpp
@@ -135,7 +135,6 @@ Preferences::Preferences()
 	m_countOffset = 0;  // beatcounter
 	m_startOffset = 0;  // beatcounter
 
-	sServerList.push_back( QString("http://hydrogen-music.org/feeds/drumkit_list.php") );
 	m_patternCategories.push_back( QString("not_categorized") );
 
 	//___ audio engine properties ___
Index: hydrogen/src/gui/src/SoundLibrary/SoundLibraryImportDialog.cpp
===================================================================
--- hydrogen.orig/src/gui/src/SoundLibrary/SoundLibraryImportDialog.cpp
+++ hydrogen/src/gui/src/SoundLibrary/SoundLibraryImportDialog.cpp
@@ -98,10 +98,6 @@ void SoundLibraryImportDialog::updateRep
 		Read serverList from config and put servers into the comboBox
 	*/
 
-	if( pref->sServerList.size() == 0 ) {
-		pref->sServerList.push_back( "http://hydrogen-music.org/feeds/drumkit_list.php" );
-	}
-
 	repositoryCombo->clear();
 
 	std::list<QString>::const_iterator cur_Server;
